/**
 * NotifyIndexView 部件模型
 *
 * @export
 * @class NotifyIndexViewModel
 */
export default class NotifyIndexViewModel {

    /**
     * 菜单项集合
     *
     * @public
     * @type {any[]}
     * @memberof NotifyIndexViewModel
     */
    public items: any[] = [
        {
	id: '60A15D1D-91D1-488A-B835-FB9A822FA2D4',
	name: 'menuitem1',
	text: '接入开放平台',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '接入开放平台',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-ioxhost',
	icon: '',
	textcls: '',
	appfunctag: '_2',
	resourcetag: '',
	authtag:'web-NotifyIndexView-menuitem1',
},
        {
	id: '7E11B4BD-A48E-48A9-9010-F40C7B7C60FD',
	name: 'menuitem2',
	text: '消息模板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '消息模板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-list-alt',
	icon: '',
	textcls: '',
	appfunctag: '_3',
	resourcetag: '',
	authtag:'web-NotifyIndexView-menuitem2',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @public
	 * @type {any[]}
	 * @memberof NotifyIndexViewModel
	 */
	public funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof NotifyIndexViewModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof NotifyIndexViewModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}